import pygame
import vector2

class Actor(pygame.sprite.Sprite):
    def __init__(self,x=0,y=0,width=32,height=32,name=''):
        pygame.sprite.Sprite.__init__(self)
        self.rect=pygame.Rect((0,0),(width,height))
        self.loadsprites()
        self.pos=vector2.Vector2(0.,0.)
        self.moveto((x,y))
        self.name=name
        self.actions=[]
        self.fontWindow = pygame.font.Font("fonts/stiltedman.ttf", 20)
        self.dialogWin=pygame.sprite.Sprite()

    def loadsprites(self):
        self.image=pygame.Surface((self.rect.width,self.rect.height))
        self.image.fill((0,0,0))

    def move(self,x,y):
        pass

    def moveto(self,(x,y)):
        (self.pos.x,self.pos.y)=(float(x),float(y))
        self.rect.midbottom=(round(self.pos.x),round(self.pos.y))

    def playAnim(self,anim):
        pass

    def listActions(self,distX=0,distY=0):
        if distX<0: distX=-distX
        if distY<0: distY=-distY
        return self.actions

    def setAction(self,action):
        pass

    def say(self,sentence):
        #print sentence
        self.dialogWin.image=self.fontWindow.render(sentence,True,(96, 96, 96))
        self.dialogWin.rect=self.dialogWin.image.get_rect()
        self.dialogWin.rect.bottomright=self.rect.topleft
        return self.dialogWin
