import sys
import pygame
from pygame.locals import *
import userevent

class MenuManager:
    def __init__(self,screen):
        self.screen=screen
        self.scrRect=self.screen.get_rect()
        self.textRender()
        self.currentMenu=''

    def textRender(self):
        self.fontWindow = pygame.font.Font('fonts/stiltedman.ttf', 24)

        self.label= {}
        self.label['pause']=[self.fontWindow.render('Pause',True,(0,0,0))]
        self.label['pause'].append(self.label['pause'][0].get_rect())
        self.label['pause'][1].center = self.scrRect.center

    def openMenu(self,menu):
        if menu=='pause':
            self.currentMenu='pause'
            #self.screen.blit(self.label['pause'][0],self.label['pause'][1])
            
    def closeMenu(self):
        self.currentMenu=''

    def refresh(self):
        #self.screenOrig=self.screen.copy()
        self.screen.blit(self.label['pause'][0],self.label['pause'][1])
        pass
    
    def sendEvent(self,event):
        if event.type == KEYDOWN:
            if (event.key == K_ESCAPE):
                pygame.event.post(userevent.RESUME)
            if (event.key == K_q):
                sys.exit()
