import pygame

class ContextMenu(pygame.sprite.Sprite):
    def __init__(self,elts):
        pygame.sprite.Sprite.__init__(self)

        self.fontWindow = pygame.font.Font("fonts/stiltedman.ttf", 20)
        self.menuOptions=elts
        self.opened=False
        self.label= {}
        self.referer=''
        #print elts
        i=0

        self.width=0
        for elt in self.menuOptions:
            self.label[elt]=[self.fontWindow.render(elt,True,(96, 96, 96))]
            self.label[elt].append(self.label[elt][0].get_rect())
            if i>0:
                self.label[elt][1].topleft = (20,self.label[elts[i]][1].bottom+15)
            else:
                self.label[elt][1].topleft = (20,20)
            i=i+1
            if self.label[elt][1].width > self.width:
                self.width=self.label[elt][1].width
            

        self.width=self.width+40
        self.height=self.label[elts[-1]][1].bottom+20
        self.image=pygame.Surface((self.width,self.height))
        self.rect=self.image.fill((248,248,255))
        pygame.draw.rect(self.image,(96,96,96),(10,10,self.width-20,self.height-20),1)

        for option in self.menuOptions:
                self.image.blit(self.label[option][0], self.label[option][1])

    def clicked(self,(x,y)):
        for option in self.menuOptions:
            if self.label[option][1].collidepoint(x-self.rect.left, y-self.rect.top):
                return option


